﻿Namespace My

    ' 次のイベントは MyApplication に対して利用できます:
    ' 
    ' Startup: アプリケーションが開始されたとき、スタートアップ フォームが作成される前に発生します。
    ' Shutdown: アプリケーション フォームがすべて閉じられた後に発生します。このイベントは、通常の終了以外の方法でアプリケーションが終了されたときには発生しません。
    ' UnhandledException: ハンドルされていない例外がアプリケーションで発生したときに発生するイベントです。
    ' StartupNextInstance: 単一インスタンス アプリケーションが起動され、それが既にアクティブであるときに発生します。 
    ' NetworkAvailabilityChanged: ネットワーク接続が接続されたとき、または切断されたときに発生します。
    Partial Friend Class MyApplication
        Sub Main()
            Dim currentDomain As AppDomain = AppDomain.CurrentDomain
            AddHandler currentDomain.UnhandledException, AddressOf MyHandler

            Try
                Throw New Exception("1")
            Catch e As Exception
                Dialog10.ShowDialog()
            End Try

            Throw New Exception("2")

            ' Output:
            '   Catch clause caught : 1
            '   MyHandler caught : 2
        End Sub 'Main


        Sub MyHandler(sender As Object, args As UnhandledExceptionEventArgs)
            Dim e As Exception = DirectCast(args.ExceptionObject, Exception)
            Dialog10.ShowDialog()
        End Sub 'MyUnhandledExceptionEventHandler



    End Class


End Namespace

