﻿Imports System.Net
Imports System.IO

Public Class Form1
    Const StatusText As String = "状態"
    WithEvents B As WebBrowser
    Dim cnt As Integer

    Private Sub GoBack_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton1.Click
        DirectCast(TabControl1.SelectedTab.Controls(0), WebBrowser).GoBack()
    End Sub

    ''' <summary>
    ''' Application.DoEventsへのショートカット
    ''' </summary>
    ''' <remarks></remarks>
    Sub D()
        Application.DoEvents()
    End Sub
    Private Sub AddTab_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton4.Click
        Dim Tab As TabPage = New TabPage("読み込み中です...")
        D()
        B = New WebBrowser
        D()
        B.Dock = DockStyle.Fill
        D()
        TabControl1.TabPages.Add(Tab)
        D()
        Tab.Controls.Add(B)
        D()
        TabControl1.SelectedTab = Tab
        D()
        GoHome_Click(sender, e)
        D()
        cnt += 1
    End Sub
    Sub Koushinn()
        D()
        If B Is Nothing Then Exit Sub
        Try
            TabControl1.SelectedTab.Text = DirectCast(TabControl1.SelectedTab.Controls(0), WebBrowser).DocumentTitle
            ToolStripComboBox1.Text = DirectCast(TabControl1.SelectedTab.Controls(0), WebBrowser).Url.ToString
        Catch ex As Exception
            Exit Sub
        End Try
    End Sub
    Private Sub GoHome_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles ToolStripButton11.Click
        On Error Resume Next
        DirectCast(TabControl1.SelectedTab.Controls(0), WebBrowser).GoHome()
        Koushinn()
    End Sub

    Private Sub Form1_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
    End Sub

    Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        On Error Resume Next
        AddTab_Click(sender, e)
        DirectCast(TabControl1.SelectedTab.Controls(0), WebBrowser).ScriptErrorsSuppressed = True



    End Sub
    Public Sub mB_DocumentCompleted(ByVal sender As System.Object, ByVal e As System.Windows.Forms.WebBrowserDocumentCompletedEventArgs) Handles B.DocumentCompleted
        On Error Resume Next
        For Each linkTag As HtmlElement In Me.B.Document.GetElementsByTagName("link")
            Dim relAttribute As String = linkTag.GetAttribute("rel")
            Dim iconUrl As String
            If relAttribute = "shortcut icon" OrElse relAttribute = "icon" Then
                iconUrl = linkTag.GetAttribute("href")

                If iconUrl.StartsWith("http") Then      '完全なURLの場合 
                    ToolStripDropDownButton1.Image = getIconFromUrl(iconUrl).ToBitmap
                ElseIf iconUrl.StartsWith("/") Then     '絶対URLの場合 
                    ToolStripDropDownButton1.Image = getIconFromUrl("http://" + e.Url.Host + iconUrl).ToBitmap
                Else                                    '相対URLの場合 
                    ToolStripDropDownButton1.Image = getIconFromUrl(e.Url.ToString() + iconUrl).ToBitmap
                End If

                Exit For
            End If
        Next

        'タグでの指定が無い場合 
        ToolStripDropDownButton1.Image = getIconFromUrl("http://" + e.Url.Host + "/favicon.ico").ToBitmap


    End Sub

    'favicon処理2
    Public Function getIconFromUrl(ByVal url As String) As Icon
        On Error Resume Next
        Using webClient As New WebClient
            Dim icondata As Byte() = webClient.DownloadData(url)
            Using stream As New MemoryStream(icondata)
                Return New Icon(stream)
            End Using
        End Using

    End Function
    Private Sub GoFowred_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles ToolStripButton10.Click
        On Error Resume Next
        DirectCast(TabControl1.SelectedTab.Controls(0), WebBrowser).GoForward()
        Koushinn()
    End Sub

    Private Sub Go_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton13.Click
        DirectCast(TabControl1.SelectedTab.Controls(0), WebBrowser).Navigate(urlString:=ToolStripComboBox1.Text)
        Koushinn()
    End Sub

    Private Sub Refresh_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton6.Click
        DirectCast(TabControl1.SelectedTab.Controls(0), WebBrowser).Refresh()
        Koushinn()
    End Sub

    Private Sub StopA_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton7.Click
        DirectCast(TabControl1.SelectedTab.Controls(0), WebBrowser).Stop()
        Koushinn()
    End Sub

    Private Sub TabClose_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton5.Click
        If TabControl1.SelectedTab Is Nothing Then Exit Sub
        TabControl1.SelectedTab.Dispose()
        If TabControl1.TabPages.Count <= 0 Then End
    End Sub

    Private Sub B_Navigating(sender As Object, e As WebBrowserNavigatingEventArgs) Handles B.Navigating
        Koushinn()
    End Sub

    Private Sub B_Navigated(ByVal sender As Object, ByVal e As System.Windows.Forms.WebBrowserNavigatedEventArgs) Handles B.Navigated
        Try
            Select Case B.DocumentTitle
                Case ""
                    Me.Text = B.Url.Host & " - Espresso Web Navigator"

                Case "Internet Explorer ではこのページは表示できません"
                    Me.Text = "Espresso Web Navigator はページの読み込みに失敗しました"

                Case Else
                    Me.Text = B.DocumentTitle & " - Espresso Web Navigator"

            End Select
        Catch
        End Try
        Koushinn()
    End Sub


    Private Sub B_NewWindow(ByVal sender As Object, ByVal e As System.ComponentModel.CancelEventArgs) Handles B.NewWindow
        e.Cancel = True
    End Sub

    Private Sub B_ProgressChanged(ByVal sender As Object, ByVal e As System.Windows.Forms.WebBrowserProgressChangedEventArgs) Handles B.ProgressChanged
        Koushinn()
    End Sub

    Private Sub TabControl1_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles TabControl1.SelectedIndexChanged
        If TabControl1.SelectedTab Is Nothing Then Exit Sub
        B = DirectCast(TabControl1.SelectedTab.Controls(0), WebBrowser)
        Application.DoEvents()
        Koushinn()
    End Sub




    Private Sub window(Optional ByVal ComUrl As String = "")


        Process.Start("Espresso Web Navigator.exe", ComUrl)


    End Sub

    Private Sub ページを印刷ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles ページを印刷ToolStripMenuItem.Click
        DirectCast(TabControl1.SelectedTab.Controls(0), WebBrowser).ShowPrintPreviewDialog()
    End Sub

    Private Sub EspressoWebNavigatorを再起動ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles EspressoWebNavigatorを再起動ToolStripMenuItem.Click

        MsgBox("Espresso Web Navigatorを再起動します", vbExclamation, "Espresso Restart")
        Application.Restart()
    End Sub

    Private Sub バージョン情報ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles バージョン情報ToolStripMenuItem.Click
        Dialog1.ShowDialog()
    End Sub

    Private Sub このページをダウンロードToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles このページをダウンロードToolStripMenuItem.Click
        On Error Resume Next
        Form2.Show()
    End Sub

    Private Sub インターネットToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles インターネットToolStripMenuItem.Click
        On Error Resume Next
        Form3.Show()
    End Sub

    Private Sub 写真でアレンジToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 写真でアレンジToolStripMenuItem.Click
        Dialog2.ShowDialog()
    End Sub

    Private Sub 色でアレンジToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 色でアレンジToolStripMenuItem.Click
        Dialog11.ShowDialog()
    End Sub


    Private Sub ページの比較モードToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles ページの比較モードToolStripMenuItem.Click
        MDIParent1.Show()
    End Sub



    Private Sub 終了ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 終了ToolStripMenuItem.Click
        Me.Close()
    End Sub

    Private Sub 全画面表示ToolStripMenuItem1_Click(sender As Object, e As EventArgs) Handles 全画面表示ToolStripMenuItem1.Click
        Me.WindowState = FormWindowState.Normal
        Me.FormBorderStyle = Windows.Forms.FormBorderStyle.None
        Me.WindowState = FormWindowState.Maximized
    End Sub

    Private Sub 通常表示に戻すToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 通常表示に戻すToolStripMenuItem.Click
        Me.WindowState = FormWindowState.Normal
        Me.FormBorderStyle = Windows.Forms.FormBorderStyle.Sizable
        Me.WindowState = FormWindowState.Maximized
    End Sub

    Private Sub 互換モードToolStripMenuItem_Click(sender As Object, e As EventArgs)

    End Sub

    Private Sub SafMmodeToolStripMenuItem_Click(sender As Object, e As EventArgs)
        On Error Resume Next
        Form6.Show()
    End Sub

    Private Sub プロパティToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles プロパティToolStripMenuItem.Click
        DirectCast(TabControl1.SelectedTab.Controls(0), WebBrowser).ShowPropertiesDialog()
    End Sub

    Private Sub MagicCodeToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles MagicCodeToolStripMenuItem.Click
        Dim read As New Form7(B.DocumentText)

        read.Show()
    End Sub



End Class
